# Type Alias WidgetLayer

type WidgetLayer = {
locked: boolean;
position: WidgetVector | undefined;
title: string;
uniqid: string;
visible: boolean;
widgets: WidgetWrapperProps[];
}

- Defined in jamespot-user-api/src/types/widgets.ts:68

##### Index

### Properties

locked
position
title
uniqid
visible
widgets

## Properties

### locked

locked: boolean

- Defined in jamespot-user-api/src/types/widgets.ts:71

### position

position: WidgetVector | undefined

- Defined in jamespot-user-api/src/types/widgets.ts:74

### title

title: string

- Defined in jamespot-user-api/src/types/widgets.ts:70

### uniqid

uniqid: string

- Defined in jamespot-user-api/src/types/widgets.ts:69

### visible

visible: boolean

- Defined in jamespot-user-api/src/types/widgets.ts:72

### widgets

widgets: WidgetWrapperProps[]

- Defined in jamespot-user-api/src/types/widgets.ts:73